#include <iostream>
#include "complex_number.h"

using std::cout;
using std::endl;

int main (int argc, const char ** argv){

    complex_number a(2,2);
    complex_number b(1, -1);
    complex_number c = b+b;
    complex_number d = ~c;
    complex_number e = b; e+=b;
    complex_number f(0, -1);
    complex_number g(1, 0);
    complex_number h = f; h *= f;

    cout << "a:\t" << a << endl;
    cout << "b:\t" << b << endl;
    cout << "c:\t" << c << "\tc = b + b;" << endl;
    cout << "d:\t" << d << "\td = ~c;" << endl;
    cout << "e:\t" << e << "\te = b; e += b;" << endl;
    cout << "f:\t" << f << endl;
    cout << "g:\t" << g << endl;
    cout << "h:\t" << h << "\th = f; h *= f;" << endl;
    cout << "a == b:\t" << std::boolalpha << (a == b) << "\ta =! b:\t" << std::boolalpha << (a != b) << endl;
    cout << "d == a:\t" << std::boolalpha << (d == a) << "\td =! a:\t" << std::boolalpha << (d != a) << endl;
    cout << "h == g:\t" << std::boolalpha << (g == h) << endl;

    return 0;
}
